NisusWrtTextInternal::HeaderFooter Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends | List of all members
NisusWrtTextInternal::HeaderFooter Struct Reference

Internal structure: use to store a header. More...

## Public Member Functions
| HeaderFooter ()
| Constructor. More...

## Public Attributes
MWAWHeaderFooter::Type | m_type
| the header type More...
MWAWHeaderFooter::Occurrence | m_occurrence
| the header occurrence More...
int | m_page
| the page More...
long | m_paragraph [2]
| the paragraph position in the header zone (first and last) More...
long | m_textParagraph
| the text position More...
int | m_unknown
| a unknown value More...
bool | m_parsed
| a flag to know if the footnote is parsed More...
std::string | m_extra
| some extra debuging information More...

## Friends
std::ostream & | operator<< (std::ostream &o, HeaderFooter const &hf)
| operator<< More...

## Detailed Description

Internal structure: use to store a header.

## Constructor & Destructor Documentation

NisusWrtTextInternal::HeaderFooter::HeaderFooter | ( |  | ) |
| inline

Constructor.

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | HeaderFooter const & | hf
| ) |  |
| friend

operator<<

## Member Data Documentation

std::string NisusWrtTextInternal::HeaderFooter::m_extra

some extra debuging information

Referenced by NisusWrtTextInternal::operator<<(), and NisusWrtText::readHeaderFooter().

MWAWHeaderFooter::Occurrence NisusWrtTextInternal::HeaderFooter::m_occurrence

the header occurrence

Referenced by NisusWrtText::computePositions(), NisusWrtTextInternal::operator<<(), and NisusWrtText::readHeaderFooter().

int NisusWrtTextInternal::HeaderFooter::m_page

the page

Referenced by NisusWrtText::computePositions().

long NisusWrtTextInternal::HeaderFooter::m_paragraph[2]

the paragraph position in the header zone (first and last)

Referenced by HeaderFooter(), NisusWrtTextInternal::operator<<(), NisusWrtText::readHeaderFooter(), and NisusWrtText::sendHeaderFooter().

bool NisusWrtTextInternal::HeaderFooter::m_parsed
| mutable

a flag to know if the footnote is parsed

Referenced by NisusWrtText::sendHeaderFooter().

long NisusWrtTextInternal::HeaderFooter::m_textParagraph

the text position

Referenced by NisusWrtText::computePositions(), NisusWrtTextInternal::operator<<(), and NisusWrtText::readHeaderFooter().

MWAWHeaderFooter::Type NisusWrtTextInternal::HeaderFooter::m_type

the header type

Referenced by NisusWrtText::computePositions(), NisusWrtTextInternal::operator<<(), and NisusWrtText::readHeaderFooter().

int NisusWrtTextInternal::HeaderFooter::m_unknown

a unknown value

Referenced by NisusWrtTextInternal::operator<<(), and NisusWrtText::readHeaderFooter().

The documentation for this struct was generated from the following file:

- NisusWrtText.cxx